Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs.optional
Class Test

    java.lang.Object
      |
      +--org.apache.tools.ant.Task
            |
            +--org.apache.tools.ant.taskdefs.Java
                  |
                  +--org.apache.tools.ant.taskdefs.optional.Test

public class Test
extends Java

Author:
  Peter Donald

Inner Class Summary
`protected static class` | `Test.TestletEntry`

Field Summary
`protected java.util.Vector` | `m_tests`

Fields inherited from class org.apache.tools.ant.Task
`description, location, project, target, taskName, taskType, wrapper`

Constructor Summary
`Test()`

Method Summary
`Test.TestletEntry` | `createTestlet()`
`void` | `execute()` Do the execution.
`void` | `setForceShowTrace(boolean forceShowTrace)`
`void` | `setShowBanner(java.lang.String showBanner)`
`void` | `setShowSuccess(boolean showSuccess)`
`void` | `setShowTrace(boolean showTrace)`

Methods inherited from class org.apache.tools.ant.taskdefs.Java
`addSysproperty, clearArgs, createArg, createClasspath, createJvmarg, executeJava, run, setArgs, setClassname, setClasspath, setClasspathRef, setDir, setFailonerror, setFork, setJvm, setJvmargs, setMaxmemory, setOutput`

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getProject, getRuntimeConfigurableWrapper, getTaskName, init, log, log, maybeConfigure, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_tests

    protected java.util.Vector m_tests

Constructor Detail

### Test

    public Test()

Method Detail

### createTestlet

    public Test.TestletEntry createTestlet()

### setShowSuccess

    public void setShowSuccess(boolean showSuccess)

### setShowBanner

    public void setShowBanner(java.lang.String showBanner)

### setShowTrace

    public void setShowTrace(boolean showTrace)

### setForceShowTrace

    public void setForceShowTrace(boolean forceShowTrace)

### execute

    public void execute()
                 throws BuildException

  Description copied from class: `Java`
  Do the execution.
  Overrides:
    `execute` in class `Java`
  Following copied from class: `org.apache.tools.ant.Task`
  Throws:
    `BuildException` - if someting goes wrong with the build

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache Software Foundation. All Rights Reserved.